Subject: bug#78864: Support for bookmarks in debbugs.el

From: Stéphane Marks <[email-masked]>
Date: Sun, 22 Jun 2025 15:20:06 -0400

On Sun, Jun 22, 2025 at 3:10 PM Matthias Meulien <[email-masked]> wrote:

> Just realized that another interest of using bookmarks would be to store
> queries not search results.  No serious impact on what I previously wrote.
>
> Le dim. 22 juin 2025 à 21:06, Matthias Meulien <[email-masked]> a
> écrit :
>
>> It looks interesting. Personally, I'm not a user of bookmark.el, so I
>>>> have no clear view whether we need it in parallel to the tagging of bugs
>>>> in debbugs. See the commands `debbugs-gnu-toggle-tag' and
>>>> `debbugs-gnu-toggle-mark', which offer a kind of internal bookmarking.
>>>>
>>>
>>>
>>> I wasn't aware of that. I'll read a out those.
>>>
>>> But I won't object if I understand the additional benefit.
>>>>
>>>
>>> Not clear to me at this point. Give me time to try what you recommended.
>>> I suspect that we'll just close the bug.
>>>
>>
>> I read the Tabulated Lists node of the manual and learn what tag and mark
>> means in the context of Debbugs.  I tried both features.
>>
>> One interest of bookmarks is that it uses a single interface whatever the
>> handler and major mode is: You learn them once.
>>
>> Another interest is that they're centralized.  Thus when visiting the
>> bookmark menu, where I have among others a bookmarks to "Emacs sources"
>> handled by `vc-dir' and a bookmark to "Search results for "emacs" - explain
>> xkcd" handled by EWW, I could also have a bookmark for "Emacs Bug #78864"
>> handled by Debbugs.
>>
>> But my feeling is that it's not worth introducing bookmarks in
>> debbugs-gnu.el: It'd add confusion for little gain.
>>
>> On my side I may find time to follow your suggestion and rework my patch
>> in a separate file, so I can eventually continue using bookmarks to track
>> bugs.  If it happens, I'll share the result and see whether other people
>> are interested (I doubt).
>>
>> Feel free to close that bug.
>>
>
You can also do this using the debbugs web site
https://debbugs.gnu.org/cgi/pkgreport.cgi?submitter=shipmints%40gmail.com and
replace my email address with your own (or someone else's).  That you can
bookmark using `eww` or an external web browser.